> ## Documentation Index
> Fetch the complete documentation index at: https://opendonationassistant.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Post feedcommandsmark as read



## OpenAPI

````yaml /api-reference/oda-news-service-1.0.0.yml post /feed/commands/mark-as-read
openapi: 3.0.1
info:
  title: ODA News Service
  description: News Service API
  contact:
    name: stCarolas
    email: stcarolas@gmail.com
  license:
    name: AGPL-3.0
    url: https://www.gnu.org/licenses/agpl-3.0.en.html
  version: 1.0.0
servers: []
security: []
paths:
  /feed/commands/mark-as-read:
    post:
      operationId: markAsRead
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/MarkAsRead.MarkAsReadCommand'
        required: true
      responses:
        '200':
          description: markAsRead 200 response
components:
  schemas:
    MarkAsRead.MarkAsReadCommand:
      required:
        - newsId
      type: object
      properties:
        newsId:
          type: string

````